Package org.silverpeas.components.gallery

## Class GalleryComponentSettings

- java.lang.Object
- - org.silverpeas.components.gallery.GalleryComponentSettings

-     public final class GalleryComponentSettings
      extends Object

  It gathers all the settings and i18n relative to the Gallery component.
  Author:
    mmoquillon

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `COMPONENT_NAME` | The name of the Gallery component in Silverpeas.
    `static String` | `ICONS_PATH` | The relative path of the properties file containing the references of the icons dedicated to the Gallery component.
    `static String` | `MESSAGES_PATH` | The relative path of the i18n bundle of the Gallery component.
    `static String` | `SETTINGS_PATH` | The relative path of the properties file containing the settings of the Gallery component.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static org.silverpeas.kernel.bundle.LocalizationBundle` | `getIcons()` | Gets all the icons definitions particular to the Gallery component.
    `static int` | `getMaxNumberOfPreviewThumbnail()` |
    `static org.silverpeas.kernel.bundle.LocalizationBundle` | `getMessagesIn​(String language)` | Gets all the messages for the Gallery component and translated in the specified language.
    `static int` | `getNbMediaDisplayedPerPage()` | Gets the max number of media displayed on homepage.
    `static org.silverpeas.kernel.bundle.SettingBundle` | `getSettings()` | Gets all the settings of the Gallery component.
    `static Watermark` | `getWatermark​(String componentInstanceId)` |
    `static Integer` | `getWatermarkSize​(String bundlePartOfWaterwarkSizeLabel)` |
    `static boolean` | `isDragAndDropEnabled​(String componentInstanceId)` |
    `static boolean` | `isMakeWatermarkEnabled​(String componentInstanceId)` |
    `static boolean` | `isPdcEnabled​(String componentInstanceId)` |
    `static boolean` | `isViewMetadataEnabled​(String componentInstanceId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_NAME

          public static final String COMPONENT_NAME

      The name of the Gallery component in Silverpeas.
      See Also:
        Constant Field Values

    - #### SETTINGS_PATH

          public static final String SETTINGS_PATH

      The relative path of the properties file containing the settings of the Gallery component.
      See Also:
        Constant Field Values

    - #### MESSAGES_PATH

          public static final String MESSAGES_PATH

      The relative path of the i18n bundle of the Gallery component.
      See Also:
        Constant Field Values

    - #### ICONS_PATH

          public static final String ICONS_PATH

      The relative path of the properties file containing the references of the icons dedicated to the Gallery component.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getMessagesIn

          public static org.silverpeas.kernel.bundle.LocalizationBundle getMessagesIn​(String language)

      Gets all the messages for the Gallery component and translated in the specified language.
      Parameters:
        `language` - the language in which are written the messages.
      Returns:
        the resource with the translated messages.

    - #### getSettings

          public static org.silverpeas.kernel.bundle.SettingBundle getSettings()

      Gets all the settings of the Gallery component.
      Returns:
        the resource with the different component settings.

    - #### getIcons

          public static org.silverpeas.kernel.bundle.LocalizationBundle getIcons()

      Gets all the icons definitions particular to the Gallery component.
      Returns:
        the resource with icons definition.

    - #### getNbMediaDisplayedPerPage

          public static int getNbMediaDisplayedPerPage()

      Gets the max number of media displayed on homepage.
      Returns:
        the number of media to display

    - #### isDragAndDropEnabled

          public static boolean isDragAndDropEnabled​(String componentInstanceId)

    - #### isPdcEnabled

          public static boolean isPdcEnabled​(String componentInstanceId)

    - #### isViewMetadataEnabled

          public static boolean isViewMetadataEnabled​(String componentInstanceId)

    - #### isMakeWatermarkEnabled

          public static boolean isMakeWatermarkEnabled​(String componentInstanceId)

    - #### getWatermarkSize

          public static Integer getWatermarkSize​(String bundlePartOfWaterwarkSizeLabel)

    - #### getMaxNumberOfPreviewThumbnail

          public static int getMaxNumberOfPreviewThumbnail()

    - #### getWatermark

          public static Watermark getWatermark​(String componentInstanceId)